Skip to API content
TalkLabs API Docs v3
Recipes
GET Webhooks

List Webhook Log Entries

Use this method to get a list of webhooks registered for your application.

GET /api/v3/{appid}/webhook/hooks/{hookid}/logentries

This method requires authentication.

Use this method to get a list of webhooks registered for your application.

Request

Parameters

Values in the path and query string.

appid path
string TalkLabs ID required

The TalkLabs application ID assigned to your account.

Example: your-app-id
hookid path
string TalkLabs ID required

The TalkLabs assigned webhook ID.

Limit query
integer · int32

The maximum number of records to return.

Example: 200
Cursor query
string

The cursor returned by the previous page.

Response

Status codes

Every JSON response uses the API result envelope.

200 OK ApiResult
400 Bad Request ApiResult
403 Forbidden ApiResult
500 Internal Server Error ApiResult
Example response · 200
{
  "message": "Webhooks listed successfully.",
  "errors": {},
  "data": {
    "kind": "list.webhook.logentries",
    "cursor": "5eaf47eef20111409006f21d",
    "more": false,
    "itemcount": 2,
    "logentries": [
      {
        "id": "5eaf47d5f20111409006f21b",
        "appid": "5e921055f2011187885de4e0",
        "added": "2020-05-03T22:38:12.6864188Z",
        "ellapsedtimems": 708,
        "type": "postpublish",
        "eventtype": "commentpublished",
        "webhook": {
          "id": "5eaf22d1f2011166dc4fc50b",
          "kind": "webhook.webhook",
          "label": "Demonstration Webhook (postpublish commentreply)",
          "url": "https://webhook.site/4909b54a-291d-4faa-a4f4-4743fdb84b7a",
          "enabled": true,
          "type": "postpublish",
          "events": [
            "commentreply",
            "commentpublished"
          ]
        },
        "completedrequest": true,
        "statuscode": 200,
        "status": "OK",
        "payload": {
          "kind": "webhook.payload.comment",
          "appid": "5e921055f2011187885de4e0",
          "conversationid": "api-conversation-demo1",
          "commentid": "5eaf47d4f20111409006f21a",
          "comment": {
            "kind": "comment.comment",
            "id": "5eaf47d4f20111409006f21a",
            "appid": "5e921055f2011187885de4e0",
            "conversationid": "api-conversation-demo1",
            "commenttype": "comment",
            "added": "2020-05-03T22:38:12.4026447Z",
            "modified": "2020-05-03T22:38:12.401645Z",
            "userid": "u-8842",
            "user": {
              "kind": "app.user",
              "userid": "u-8842",
              "handle": "dave_m",
              "handlelowercase": "georgew",
              "displayname": "Dave M.",
              "pictureurl": "https://example.com/users/u-8842s/photos/original/a9/c7/a6/44-1-george-washington-18-1549729902.jpg",
              "profileurl": "https://example.com/users/u-8842shington",
              "banned": false
            },
            "body": "Hello, World! This is a comment with international characters and emojis. Intl: äöüÄÖÜß | Emojis: 😂🤣❤😍😒",
            "hashtags": [],
            "customtype": "my-custom-type",
            "customid": "",
            "custompayload": "{ num : 0 }",
            "customtags": [
              "taga",
              "tagb"
            ],
            "customfield1": "/sample/userdefined1/emojis/😂🤣❤😍😒",
            "customfield2": "/sample/userdefined2/intl/characters/äöüÄÖÜß",
            "edited": false,
            "deleted": false,
            "parentid": "",
            "hierarchy": [],
            "mentions": [],
            "reactions": [],
            "likecount": 0,
            "replycount": 0,
            "votecount": 0,
            "votescore": 0,
            "votes": [],
            "moderation": "na",
            "active": true,
            "reports": []
          },
          "application": {
            "id": "5e921055f2011187885de4e0",
            "name": "Test Application 1",
            "accountId": "5e921051f2011187885de4df"
          },
          "conversation": {
            "kind": "comment.conversation",
            "appid": "5e921055f2011187885de4e0",
            "owneruserid": null,
            "conversationid": "api-conversation-demo1",
            "property": "sportstalk247.com/demo",
            "moderation": "post",
            "maxreports": 0,
            "enableprofanityfilter": true,
            "title": "Sample Conversation",
            "maxcommentlen": 512,
            "commentcount": 46,
            "open": true,
            "added": "2020-05-02T14:41:44.5179063Z",
            "whenmodified": "2020-05-02T14:41:45.423643Z",
            "customtype": "",
            "customid": "/articles/2020-03-01/article1/something-very-important-happened",
            "customtags": [
              "taga",
              "tagb"
            ],
            "custompayload": "{ num : 0 }",
            "customfield1": "/sample/userdefined1/emojis/😂🤣❤😍😒",
            "customfield2": "/sample/userdefined2/intl/characters/äöüÄÖÜß"
          }
        },
        "response": ""
      },
      {
        "id": "5eaf47eef20111409006f21d",
        "appid": "5e921055f2011187885de4e0",
        "added": "2020-05-03T22:38:38.1806982Z",
        "ellapsedtimems": 680,
        "type": "postpublish",
        "eventtype": "commentreply",
        "webhook": {
          "id": "5eaf22d1f2011166dc4fc50b",
          "kind": "webhook.webhook",
          "label": "Demonstration Webhook (postpublish commentreply)",
          "url": "https://webhook.site/4909b54a-291d-4faa-a4f4-4743fdb84b7a",
          "enabled": true,
          "type": "postpublish",
          "events": [
            "commentreply",
            "commentpublished"
          ]
        },
        "completedrequest": true,
        "statuscode": 200,
        "status": "OK",
        "payload": {
          "kind": "webhook.payload.commentreply",
          "appid": "5e921055f2011187885de4e0",
          "conversationid": "api-conversation-demo1",
          "commentid": "5eaf47edf20111409006f21c",
          "toplevelcommentid": "5eaf350bf2011158783b2bd1",
          "parentcommentid": "5eaf358ef2011158783b2bd3",
          "application": {
            "id": "5e921055f2011187885de4e0",
            "name": "Test Application 1",
            "accountId": "5e921051f2011187885de4df"
          },
          "comment": {
            "kind": "comment.comment",
            "id": "5eaf47edf20111409006f21c",
            "appid": "5e921055f2011187885de4e0",
            "conversationid": "api-conversation-demo1",
            "commenttype": "comment",
            "added": "2020-05-03T22:38:37.8826461Z",
            "modified": "2020-05-03T22:38:37.8826461Z",
            "userid": "u-8842",
            "user": {
              "kind": "app.user",
              "userid": "u-8842",
              "handle": "dave_m",
              "handlelowercase": "georgew",
              "displayname": "Dave M.",
              "pictureurl": "https://example.com/users/u-8842s/photos/original/a9/c7/a6/44-1-george-washington-18-1549729902.jpg",
              "profileurl": "https://example.com/users/u-8842shington",
              "banned": false
            },
            "body": "This is a reply.",
            "hashtags": [],
            "customtype": "",
            "customid": "",
            "custompayload": "",
            "customtags": [],
            "customfield1": "",
            "customfield2": "",
            "edited": false,
            "deleted": false,
            "parentid": "5eaf358ef2011158783b2bd3",
            "hierarchy": [
              "5eaf350bf2011158783b2bd1",
              "5eaf358ef2011158783b2bd3"
            ],
            "mentions": [],
            "reactions": [],
            "likecount": 0,
            "replycount": 0,
            "votecount": 0,
            "votescore": 0,
            "votes": [],
            "moderation": "na",
            "active": true,
            "reports": []
          },
          "conversation": {
            "kind": "comment.conversation",
            "appid": "5e921055f2011187885de4e0",
            "owneruserid": null,
            "conversationid": "api-conversation-demo1",
            "property": "sportstalk247.com/demo",
            "moderation": "post",
            "maxreports": 0,
            "enableprofanityfilter": true,
            "title": "Sample Conversation",
            "maxcommentlen": 512,
            "commentcount": 47,
            "open": true,
            "added": "2020-05-02T14:41:44.5179063Z",
            "whenmodified": "2020-05-02T14:41:45.423643Z",
            "customtype": "",
            "customid": "/articles/2020-03-01/article1/something-very-important-happened",
            "customtags": [
              "taga",
              "tagb"
            ],
            "custompayload": "{ num : 0 }",
            "customfield1": "/sample/userdefined1/emojis/😂🤣❤😍😒",
            "customfield2": "/sample/userdefined2/intl/characters/äöüÄÖÜß"
          },
          "toplevelcomment": {
            "kind": "comment.comment",
            "id": "5eaf350bf2011158783b2bd1",
            "appid": "5e921055f2011187885de4e0",
            "conversationid": "api-conversation-demo1",
            "commenttype": "comment",
            "added": "2020-05-03T21:18:03.9347215Z",
            "modified": "2020-05-03T21:18:03.9327229Z",
            "userid": "u-8842",
            "user": {
              "kind": "app.user",
              "userid": "u-8842",
              "handle": "dave_m",
              "handlelowercase": "georgew",
              "displayname": "Dave M.",
              "pictureurl": "https://example.com/users/u-8842s/photos/original/a9/c7/a6/44-1-george-washington-18-1549729902.jpg",
              "profileurl": "https://example.com/users/u-8842shington",
              "banned": false
            },
            "body": "Hello, World! This is a comment with international characters and emojis. Intl: äöüÄÖÜß | Emojis: 😂🤣❤😍😒",
            "hashtags": [],
            "customtype": "my-custom-type",
            "customid": null,
            "custompayload": "{ num : 0 }",
            "customtags": [
              "taga",
              "tagb"
            ],
            "customfield1": "/sample/userdefined1/emojis/😂🤣❤😍😒",
            "customfield2": "/sample/userdefined2/intl/characters/äöüÄÖÜß",
            "edited": false,
            "deleted": false,
            "parentid": "",
            "hierarchy": [],
            "mentions": [],
            "reactions": [],
            "likecount": 0,
            "replycount": 1,
            "votecount": 0,
            "votescore": 0,
            "votes": [],
            "moderation": "na",
            "active": true,
            "reports": []
          },
          "parentcomment": {
            "kind": "comment.comment",
            "id": "5eaf358ef2011158783b2bd3",
            "appid": "5e921055f2011187885de4e0",
            "conversationid": "api-conversation-demo1",
            "commenttype": "comment",
            "added": "2020-05-03T21:20:14.5635324Z",
            "modified": "2020-05-03T21:20:14.5635324Z",
            "userid": "u-8842",
            "user": {
              "kind": "app.user",
              "userid": "u-8842",
              "handle": "dave_m",
              "handlelowercase": "georgew",
              "displayname": "Dave M.",
              "pictureurl": "https://example.com/users/u-8842s/photos/original/a9/c7/a6/44-1-george-washington-18-1549729902.jpg",
              "profileurl": "https://example.com/users/u-8842shington",
              "banned": false
            },
            "body": "This is a reply.",
            "hashtags": [],
            "customtype": "",
            "customid": null,
            "custompayload": "",
            "customtags": [],
            "customfield1": "",
            "customfield2": "",
            "edited": false,
            "deleted": false,
            "parentid": "5eaf350bf2011158783b2bd1",
            "hierarchy": [
              "5eaf350bf2011158783b2bd1"
            ],
            "mentions": [],
            "reactions": [],
            "likecount": 0,
            "replycount": 3,
            "votecount": 0,
            "votescore": 0,
            "votes": [],
            "moderation": "na",
            "active": true,
            "reports": []
          }
        },
        "response": ""
      }
    ]
  }
}
Search all 118 endpoints Try “join room”, “moderate”, or “POST”.
Request environment

Connect your application

These values fill request examples and the API console. They stay in this browser tab and are never sent to TalkLabs until you run a request.

Credentials are stored in sessionStorage, not in cookies or analytics.